#pragma once
#include <math.h>
#include <vector>
using namespace std;
#include "point.h"
#include "datatypes.h"

#define A 1.96
#define pi 3.1415

class Math
{
	public:
		static double getEuclideanDistance( Point X, Point Y );
		static float getDistance( Point X, Point Y );
		static double getDistanceError( Point RealPoint, Point EstimatePoint, float Range );
		static float getMean( vector<signalStamp*>* );
		static float getInterval( vector<signalStamp*>* stampVector, float mean );
		static float getMean2( vector<int>* vals);
		static float getInterval2( vector<int>* vals, float mean );
};


