#pragma once
#include <string>
#include <sstream>
using namespace std;

struct Point
{
	Point();
	Point(double, double);
	Point( Point* );
	string toString() const;
	double x;
	double y;
}__attribute__((packed));

bool operator == (const Point&, const Point&);
bool operator != (const Point&, const Point&);
bool operator  < (const Point&, const Point&);
bool operator  > (const Point&, const Point&);
bool operator <= (const Point&, const Point&);
bool operator >= (const Point&, const Point&);

ostream& operator << (ostream& os, const Point& p);
