#include "iwlib.h"
#include <stdlib.h>
#include <stdio.h>
#include <signal.h>
#include "../datasets/signalmap.h"
#include <time.h>

void sigproc(int);

char* _fileName = NULL; 

int main(int argc, char **argv)
{
	system( "clear" );
		
	signal(SIGINT, sigproc);
		
	// train the system and throw the responsibility to ther user when it comes to termination
	if ( argc == 3 )
	{ 
		
		_fileName = (char*)argv[2];
		iwlist_train( (char*)argv[1] ); // Ksekinaei na akouei APs
	}
	
	return 0;
}

void sigproc(int a)
{
	if ( _fileName != NULL )
	{
		
		call_signalmap_writeToFileWithTimestamps( _fileName ); //Edo ta grafei sto arxeio
		//call_signalmap_writeToFile( _fileName );
	}
	exit(0);
}
